curl https://zeplo.ai/api/notification-preferences \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"email": true,
"push": true,
"inApp": true,
"newMessage": true,
"campaignCompleted": true,
"paymentReceived": true,
"ticketCreated": true,
"quietHoursEnabled": false,
"quietHoursStart": "22:00",
"quietHoursEnd": "08:00"
}
}
Notifications
GET Notification Preferences
Manage user notification preferences.
GET
/
api
/
notification-preferences
curl https://zeplo.ai/api/notification-preferences \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"email": true,
"push": true,
"inApp": true,
"newMessage": true,
"campaignCompleted": true,
"paymentReceived": true,
"ticketCreated": true,
"quietHoursEnabled": false,
"quietHoursStart": "22:00",
"quietHoursEnd": "08:00"
}
}
Get preferences
GET /api/notification-preferences
Manage which notifications a user receives.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl https://zeplo.ai/api/notification-preferences \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"email": true,
"push": true,
"inApp": true,
"newMessage": true,
"campaignCompleted": true,
"paymentReceived": true,
"ticketCreated": true,
"quietHoursEnabled": false,
"quietHoursStart": "22:00",
"quietHoursEnd": "08:00"
}
}
Update preferences
PUT /api/notification-preferences
{
"email": true,
"push": false,
"inApp": true,
"newMessage": true,
"campaignCompleted": false
}
curl -X PUT https://zeplo.ai/api/notification-preferences \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "email": true, "push": false }'
